{% load static %}
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" media="screen" href="{% static 'css/styles.css' %}">

    <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Josefin+Sans" rel="stylesheet">

    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="/resources/demos/style.css">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>

    <script src="{% static 'js/script.js' %}"></script>

    <title>riley zavier</title>
</head>
<body>
    <div class="se-pre-con"></div>
    <nav class="aqua navbar navbar-expand-xl navbar-dark">
        <div id="brand">
            <a class="navbar-brand" href="index">riley zavier</a>
        </div>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNav">
            <ul class="navbar-nav ml-auto text-left">
                <li class="nav-item{% if navItem == 'index' %} active{% endif %}">
                    <a class="nav-link" href="index">HOME</a>
                </li>
                <li class="nav-item{% if navItem == 'profile' %} active{% endif %}">
                    <a class="nav-link" href="profile">PROFILE</a>
                </li>
            </ul>
        </div>
    </nav>
    <h1 class="text-center my-4">Hello, Apa Kabar?</h1>
    <form class="container" action="/add_status/" method="POST">
        {% csrf_token %}
        {% for field in form %}
            <div class="form-group">
                {{ field.label_tag }}
                {{ field }}
            </div>
        {% endfor %}
        <button type="submit" class="btn btn-info text-center">Submit</button>
        <button id="theme" type="button" class="btn btn-danger text-center mx-2">Ubah Tema</button>
    </form>

    {% if status %}
        {% for s in status %}
            {% if forloop.first %}
                <div class="container">
                    <div class="row">
                        {% endif %}
                        <div class="col-sm-4 my-4">
                            <div class="card">
                                <div class="card-body">
                                    <h5 class="card-title">{{ s.status }}</h5>
                                    <p class="card-text">{{ s.date }}</p>
                                </div>
                            </div>
                        </div>
                        {% if forloop.counter|divisibleby:3 %}
                    </div>
                </div>
                <div class="container">
                    <div class="row">
                        {% endif %}
                        {% if forloop.last %}
                    </div>
                </div>
            {% endif %}
        {% endfor %}
    {% else %}
        <p class="text-center my-4">No statuses posted</p>
    {% endif %}
</body>
</html>